Gets a parameter definition.
GET
v1/parameters/{parameterId}
Gets a parameter definition. Optionally, attempt to localize that information according to a given localization fallback list.
For this endpoint, the user (authorization token) does not need access to a given hub.
Resource Information
| Method and URI | GET https://developer.api.autodesk.com/parameters/v1/parameters/{parameterId} |
| Authentication Context | user context required |
| Required OAuth Scopes | data:read |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is obtained via a three-legged OAuth flow. |
| Accept-Language string | A localization list consisting of localization codes delimited by commas. For instance, a user residing in the UK may request en-GB, en-US, or en. |
| Region string | The region the hub’s data is provisioned in.
Currently supports US, EMEA, AUS, IND, DEU, JPN, CAN, and GBR. Default is US. |
* Required
Request
URI Parameters
| parameterId string | The parameter ID. |
Response
HTTP Status Code Summary
| 200 OK | Successful retrieval of the parameter information. |
| 207 Multi-Status | The best-case scenario for localization cannot be returned, but otherwise the parameter indicated was localized in some way. The “best case” is when the first choice localization code could be used on the parameter indicated. |
| 400 Bad Request | The request could not be understood by the server due to malformed syntax. |
| 401 Unauthorized | Request has not been applied because it lacks valid authentication credentials for the target resource. |
| 403 Forbidden | The server understood the request but refuses to authorize it. |
| 404 Not Found | The resource cannot be found. |
| 406 Not Acceptable | The server cannot produce a response matching the list of acceptable values defined in the request. |
| 410 | Access to the target resource is no longer available. |
| 429 Too Many Requests | User has sent too many requests in a given amount of time. |
| 500 Internal Server Error | An unexpected error occurred on the server. |
| 503 Service Unavailable | Server is not ready to handle the request. |
Response
Body Structure (200)
| id string | The parameter ID. |
| name string | The parameter name. |
| specId string | The parameter spec ID. Look up detailed information in the response of the GET /specs API. |
| readOnly boolean | Indicates if the parameter is to be treated as read-only or not by a UI client. Immutable once set. |
Expand all
| id string | The parameter ID. |
| name string | The parameter’s possibly localized name. |
| description string | The parameter’s possibly localized description. May be empty. |
| specId string | The parameter spec ID. See the field guide about the definition of spec. |
| readOnly boolean | Indicates if the parameter is to be treated as read-only or not by a UI client. Immutable once set. |
| localization object | An object recording information about how this data was localized. If this property is undefined, then no localization attempt was made and the information is presented in its storage form. |
| origin object | Information about what instance of the resource the localization was based on. |
| version string | The version of the source data the localization is based on. |
| locale object | The localization tags of this parameter data as it was returned. If the value of selection is “LCL_MISSING” then locale is null. |
| language string | The ISO-439 language code. |
| region string | The ISO-3166-1 2 letter region code or UN M.49 three digit region code. If no region was specified in the source localization, then the value is null. |
| selection enum |
|
Example
Successful retrieval of the parameter definition (200).
Request
curl -v 'https://developer.api.autodesk.com/parameters/v1/parameters/parameters.a5c6d0e9593b462c8a9c022269adaf48:a3ec4719e06743ef8e2f62228c631b17-1.0.0' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
Response
{
"id": "parameters.a5c6d0e9593b462c8a9c022269adaf48:a3ec4719e06743ef8e2f62228c631b17-1.0.0",
"name": "window width",
"specId": "autodesk.spec.aec:length-2.0.0",
"readOnly": true
}
Successful retrieval of the parameter definition in generic German (200).
Request
curl -v 'https://developer.api.autodesk.com/parameters/v1/parameters/parameters.a5c6d0e9593b462c8a9c022269adaf48:a3ec4719e06743ef8e2f62228c631b17-1.0.0' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a' \
-H 'Accept-Language: de'
Response
{
"id": "parameters.a5c6d0e9593b462c8a9c022269adaf48:a3ec4719e06743ef8e2f62228c631b17-1.0.0",
"name": "Fensterbreite",
"description": "Die Breitenmessung des Fensters",
"specId": "autodesk.spec.aec:length-2.0.0",
"readOnly": true,
"localization": {
"origin": {
"version": "1.0.0"
},
"locale": {
"language": "de",
"region": null
},
"selection": "LCL_EXACT"
}
}
Show More